# Remember to export PATH=$PATH:/usr/lib64/bcc

CC=bcc
CFLAGS=-Md -I/usr/lib64/bcc/include
LDFLAGS=-Md -L/usr/lib64/bcc

all: pr.txt pr.com

clean:
	rm -f *.o pr.com pr.txt

dist:
	rm *.o
	mv pr.com pr.txt ../

pr.com: egetopt.o pr.o
	$(CC) $(LDFLAGS) -o pr.com egetopt.o pr.o

egetopt.o: egetopt.c
	$(CC) $(CFLAGS) -c egetopt.c

pr.o: pr.c
	$(CC) $(CFLAGS) -c pr.c

pr.txt: pr.1
	GROFF_NO_SGR=1 TERM=dumb groff -Tascii -man pr.1 | col -b >pr.txt
	./unix2dos.sh pr.txt
